Cancel
Showing results for 
Search instead for 
Did you mean: 

Using Com-Interface 14.1

Legend
Legend

Hello all,

 

I try to use com interface in python with comtypes lib.

 when I use this line, it works

obj = CreateObject("Tecnomatix.PlantSimulation.RemoteControl.13.0")

But with this line, i have an error : This interface is not supported

obj = CreateObject("Tecnomatix.PlantSimulation.RemoteControl.14.1")

Have I a bad configuration ? Or Is it a problem from comtypes lib it self ?

 

Regards,

 

rpinon

4 REPLIES 4

Re: Using Com-Interface 14.1

Phenom
Phenom

Although I am not using Python but Visual Studio - 

I am quite sure , that it must  be the dedicated 14.1 library- not 13.0 !

 

 

Re: Using Com-Interface 14.1

Legend
Legend

Yes, I want to use plantsimulation 14.1 so it is why I use this line :

Tecnomatix.PlantSimulation.RemoteControl.14.1

But it say to me that it is not supported.

 

I don't understand what is the difference between 13.0 and 14.1 for the RemoteControler.

 

Regards,

 

rpinon

Re: Using Com-Interface 14.1

Siemens Phenom Siemens Phenom
Siemens Phenom

Hello rpinon,

There is no difference, 14.1 should work like 13.0.

Maybe the COM registration is corrupt. You can go to the installation folder and execute the following command in a command prompt as administrator:

regsvr32 PlantSimCore.dll

Regards,

Ralf
------------------------------------------------------------------------------------------------------
Did you like the answer? Then click the Thumbs Up button.
Did the answer solve your problem? Then accept the answer as solution.

Re: Using Com-Interface 14.1

Phenom
Phenom

 Even if the libaries are the same.

 

obj = CreateObject("Tecnomatix.PlantSimulation.RemoteControl.13.0") opens v13

 

and

 

obj = CreateObject("Tecnomatix.PlantSimulation.RemoteControl.14.1") opens v14.1 

 

Just to focus the error - have you tried the js example code in the help file ?